APIAPI referenceLeads and back in stock
List Back In Stock
Back-in-stock subscriptions (newest first).
GET/v1/stores/{store_id}/back-in-stock-subscriptionsScope engagement:read
- Scope:
engagement:read(scopes and plan access) - Rate limit: 600 requests/min per API key (test keys: 60/min) (rate limits)
Back-in-stock subscriptions (newest first).
Parameters
| Name | In | Type | Description |
|---|---|---|---|
| store_idrequired | path | string | |
| status | query | "pending_confirmation" | "active" | "notified" | "cancelled" | "expired" | null | |
| updated_since | query | string | null | |
| limit | query | integer | Page size |
| cursor | query | string | null | Cursor from the previous page |
Example request
curl -X GET "https://api.shopassist.coec.dk/v1/stores/sto_01j8000000e008000000000000/back-in-stock-subscriptions" \
-H "Authorization: Bearer $SHOPASSIST_API_KEY"Response 200 (Page_BackInStock_)
| Field | Type | Description |
|---|---|---|
| datarequired | BackInStock[] | |
| data[].created_atrequired | string | format date-time |
| data[].emailrequired | string | |
| data[].expires_atrequired | string | format date-time |
| data[].idrequired | string | pattern `^bis_[0-9a-hjkmnp-tv-z]{26}$` |
| data[].localerequired | string | |
| data[].location_idrequired | string | null | pattern `^loc_[0-9a-hjkmnp-tv-z]{26}$` |
| data[].notified_atrequired | string | null | format date-time |
| data[].product_idrequired | string | pattern `^prd_[0-9a-hjkmnp-tv-z]{26}$` |
| data[].statusrequired | "pending_confirmation" | "active" | "notified" | "cancelled" | "expired" | |
| data[].variant_idrequired | string | pattern `^var_[0-9a-hjkmnp-tv-z]{26}$` |
| has_morerequired | boolean | |
| next_cursorrequired | string | null | Opaque cursor for the next page; null on the last page |
{
"data": [
{
"created_at": "2026-09-28T10:15:30.123Z",
"email": "string",
"expires_at": "2026-09-28T10:15:30.123Z",
"id": "bis_01j8000000e008000000000000",
"locale": "da-DK",
"location_id": "loc_01j8000000e008000000000000",
"notified_at": "2026-09-28T10:15:30.123Z",
"product_id": "prd_01j8000000e008000000000000",
"status": "pending_confirmation",
"variant_id": "var_01j8000000e008000000000000"
}
],
"has_more": true,
"next_cursor": "string"
}Errors
Every error uses the error envelope; the code field is stable.
400Bad Request401Unauthorized403Forbidden404Not Found422Unprocessable Content429Too Many Requests
Last updated on